## cdrkit 1.1.11-3mx150+1

=== debian/changelog ===
cdrkit (9:1.1.11-3mx150+1) mx; urgency=medium

  * Repackaged from ubuntu repos for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Mon, 26 Sep 2016 15:55:21 -0700

cdrkit (9:1.1.11-3ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - debian/wodim.links: Add symlink to /usr/bin/cdrecord.
    - debian/genisoimage.links: Add symlink to /usr/bin/mkisofs.
    - debian/icedax.links: Add symlink to /usr/bin/cdda2wav.
    - debian/control:
      - Add Provides: cdrecord to binary package wodim.
      - Add Provides: mkisofs to binary package genisoimage.
      - Add Provides: cdda2wav to binary package icedax.
      - Remove all version strings from conflicts/replaces in wodim,
        genisoimage and icedax for the respective cdrtools binary package
        names.
    - debian/wodim.preinst: Add "7a4383a7c0995736dee9d646b0724d08" to the
      md5sums of unchanged config files (that is the dapper one).
    - Introduce alternatives system for the scripts and manpages "cdda2mp3"
      and "cdda2ogg".
    - Apply Fedora patch by Peter Jones to add EFI boot support.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Nov 2014 13:49:10 +0000

cdrkit (9:1.1.11-2ubuntu3) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 16:49:13 +0100

cdrkit (9:1.1.11-2ubuntu2) precise; urgency=low

  * Update geteltorito to new upstream version. (LP: #530530)

 -- Soren Hansen <soren@ubuntu.com>  Tue, 31 Jan 2012 14:08:36 +0100

cdrkit (9:1.1.11-2ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/wodim.links: Add symlink to /usr/bin/cdrecord.
    - debian/genisoimage.links: Add symlink to /usr/bin/mkisofs.
    - debian/icedax.links: Add symlink to /usr/bin/cdda2wav.
    - debian/control:
      - Add Provides: cdrecord to binary package wodim.
      - Add Provides: mkisofs to binary package genisoimage.
      - Add Provides: cdda2wav to binary package icedax.
      - Remove all version strings from conflicts/replaces in wodim,
        genisoimage and icedax for the respective cdrtools binary package
        names.
    - debian/wodim.preinst: Add "7a4383a7c0995736dee9d646b0724d08" to the
      md5sums of unchanged config files (that is the dapper one).
    - Introduce alternatives system for the scripts and manpages "cdda2mp3"
      and "cdda2ogg".
    - Apply Fedora patch by Peter Jones to add EFI boot support.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Oct 2011 11:58:56 +0200

cdrkit (9:1.1.11-1ubuntu2) natty; urgency=low

  * No-change rebuild to reduce changelogs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 03 Dec 2010 09:31:46 +0100

cdrkit (9:1.1.11-1ubuntu1) natty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/wodim.links: Add symlink to /usr/bin/cdrecord.
    - debian/genisoimage.links: Add symlink to /usr/bin/mkisofs.
    - debian/icedax.links: Add symlink to /usr/bin/cdda2wav.
    - debian/control:
      - Add Provides: cdrecord to binary package wodim.
      - Add Provides: mkisofs to binary package genisoimage.
      - Add Provides: cdda2wav to binary package icedax.
      - Remove all version strings from conflicts/replaces in wodim,
        genisoimage and icedax for the respective cdrtools binary package
        names.
    - debian/wodim.preinst: Add "7a4383a7c0995736dee9d646b0724d08" to the
      md5sums of unchanged config files (that is the dapper one).
    - Introduce alternatives system for the scripts and manpages "cdda2mp3"
      and "cdda2ogg".
    - Apply Fedora patch by Peter Jones to add EFI boot support.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Oct 2010 12:40:31 +0100

cdrkit (9:1.1.10-1ubuntu3) maverick; urgency=low

  * Backport from svn:
    - genisoimage: Fix silly bug in MD5 output in template files.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Sep 2010 13:26:17 +0100

cdrkit (9:1.1.10-1ubuntu2) maverick; urgency=low

  * Apply Fedora patch by Peter Jones to add EFI boot support.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Aug 2010 14:22:27 +0100

cdrkit (9:1.1.10-1ubuntu1) lucid; urgency=low

  * Merge with Debian (LP: #534307); remaining changes:
    - debian/wodim.links: added symlink to /usr/bin/cdrecord
    - debian/genisoimage.links: added symlink to /usr/bin/mkisofs
    - debian/icedax.links: added symlink to /usr/bin/cdda2wav
    - debian/control:
      - added Provides: cdrecord to binary package wodim
      - added Provides: mkisofs to binary package genisoimage
      - added Provides: cdda2wav to binary package icedax
      - removed all version strings from conflicts/replaces 
        in wodim, genisoimage and icedax for the respective 
        cdrtools binary pkg names
    - debian/wodim.preinst: add "7a4383a7c0995736dee9d646b0724d08" to the
      md5sums of unchanged config files (that is the dapper one).
    - introduce alternatives system for the scripts and manpages
      "cdda2mp3" and "cdda2ogg".
    - no longer provide the dummy packages 'cdrecord', 'mkisofs' and
      'cdda2wav'.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 12 Mar 2010 10:34:42 +0100

cdrkit (9:1.1.9-1ubuntu2) karmic; urgency=low

  * Fix FTBFS with glibc 2.10 (LP: #430190)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 22 Sep 2009 14:20:09 +0200

cdrkit (9:1.1.9-1ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:
    - debian/wodim.links: added symlink to /usr/bin/cdrecord
    - debian/genisoimage.links: added symlink to /usr/bin/mkisofs
    - debian/icedax.links: added symlink to /usr/bin/cdda2wav
    - debian/control:
      - added Provides: cdrecord to binary package wodim
      - added Provides: mkisofs to binary package genisoimage
      - added Provides: cdda2wav to binary package icedax
      - removed all version strings from conflicts/replaces 
        in wodim, genisoimage and icedax for the respective 
        cdrtools binary pkg names


=== debian/control ===
Source: cdrkit
Priority: optional
Section: otherosfs
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Joerg Jaspert <joerg@debian.org>
Uploaders: Eduard Bloch <blade@debian.org>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>=5.0.37.3), libbz2-dev, zlib1g-dev, autotools-dev, cmake (>= 2.4.2), libcap2-dev [linux-any], libcam-dev [kfreebsd-any], libmagic-dev
Standards-Version: 3.9.2

Package: wodim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: genisoimage
Replaces: cdrtools-doc, cdrecord 
Suggests: cdrkit-doc
Provides: cdrecord
Conflicts: xcdroast (<< 0.98+0alpha15-11)
Description: command line CD/DVD writing tool
 wodim allows you to create CDs or DVDs on a CD/DVD recorder.
 It supports writing data, audio, mixed, multi-session, and CD+ disc and DVD
 data and video disks on DVD capable devices, on just about every type of
 CD/DVD recorder out there.
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: genisoimage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: wodim, cdrkit-doc
Replaces: mkisofs 
Conflicts: mkhybrid, mkisofs
Provides: mkisofs
Description: Creates ISO-9660 CD-ROM filesystem images
 genisoimage is a pre-mastering program for creating ISO-9660 CD-ROM 
 filesystem images, which can then be written to CD or DVD media using
 the wodim program. genisoimage includes support for making bootable
 "El Torito" CDs, as well as CDs with support for the
 Macintosh HFS filesystem.
 .
 The package also includes extra tools useful for working with ISO images:
  * mkzftree - create ISO-9660 image with compressed contents
  * dirsplit - easily separate large directory contents into disks of
    predefined size
  * geteltorito - extract an El Torito boot image from a CD image
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: icedax
Architecture: any
Suggests: vorbis-tools, cdrkit-doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: sound
Provides: cdda2wav
Replaces: cdda2wav 
Conflicts: cdda2wav 
Description: Creates WAV files from audio CDs
 icedax lets you digitally copy ("rip") audio tracks from a CD, avoiding
 the distortion that is introduced when recording via a sound card. Data 
 can be dumped into raw (cdr), wav or sun format sound files. Options control
 the recording format (stereo/mono; 8/16 bits; sampling rate, etc).
 .
 Please install cdrkit-doc if you want most of the documentation and
 README files.

Package: cdrkit-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Replaces: cdrtools-doc
Conflicts: cdrtools-doc
Suggests: wodim, genisoimage, icedax
Description: Documentation for the cdrkit package suite
 This is the documentation for the cdrkit package suite, namely
 wodim, genisoimage and icedax.

## cdrkit 1.1.11-3ubuntu1%2B8.0trisquel1

=== 3rd-party/dirsplit/CMakeLists.txt ===
PROJECT (DIRSPLIT C)
INSTALL(PROGRAMS dirsplit DESTINATION bin)
INSTALL(FILES dirsplit.1 DESTINATION share/man/man1)

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: cdrkit
 Priority: optional
 Section: otherosfs
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Joerg Jaspert <joerg@debian.org>
 Uploaders: Eduard Bloch <blade@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>=5.0.37.3), libbz2-dev, zlib1g-dev, autotools-dev, cmake (>= 2.4.2), libcap2-dev [linux-any], libcam-dev [kfreebsd-any], libmagic-dev

## cdrkit 1.1.11-3ubuntu1+8.0trisquel1

=== wodim/CMakeLists.txt ===
PROJECT (CDRECORD C)
INCLUDE_DIRECTORIES(../include ../libedc ${CMAKE_BINARY_DIR} ${CMAKE_BINARY_DIR}/include)
INCLUDE(../include/AddScgBits.cmake)
include(../include/AddSchilyBits.cmake)

#AUX_SOURCE_DIRECTORY(. CDRECORD_SRCS)
SET(CDRECORD_SRCS wodim.c audiosize.c auinfo.c  cdr_drv.c cdtext.c clone.c crc16.c cue.c  diskid.c drv_7501.c drv_jvc.c drv_mmc.c drv_philips.c drv_simul.c drv_sony.c fifo.c  isosize.c scsi_cdr_mmc4.c scsi_mmc4.c sector.c subchan.c wm_packet.c wm_session.c wm_track.c xio.c)
SET(CDRECORD_COMMON_SRCS cd_misc.c defaults.c getnum.c misc.c modes.c movesect.c scsi_cdr.c scsi_mmc.c scsi_scan.c)

INCLUDE(CheckIncludeFiles)

#force libcap usage on Linux
IF(CMAKE_SYSTEM_NAME MATCHES "Linux")
    CHECK_INCLUDE_FILES("sys/capability.h" HAVE_SYS_CAPABILITY_H)
    IF(HAVE_SYS_CAPABILITY_H)
        LIST(APPEND EXTRA_LIBS cap)
    ELSE(HAVE_SYS_CAPABILITY_H)
        MESSAGE(FATAL_ERROR "Error: found a Linux system but no libcap header. Install libcap-dev.")
    ENDIF(HAVE_SYS_CAPABILITY_H)
ENDIF(CMAKE_SYSTEM_NAME MATCHES "Linux")

LINK_DIRECTORIES(../librols ../libusal  ../libedc)

ADD_DEFINITIONS(-DHAVE_LIB_EDC_ECC -DCLONE_WRITE -DDRV_DVD -DFIFO -DAUINFO -DUSE_LARGEFILES )


ADD_EXECUTABLE (wodim ${CDRECORD_SRCS})
ADD_LIBRARY (wodimstuff STATIC ${CDRECORD_COMMON_SRCS})
LIST(APPEND EXTRA_LIBS wodimstuff)

TARGET_LINK_LIBRARIES(wodim ${EXTRA_LIBS}  edc)
SET_TARGET_PROPERTIES(wodim PROPERTIES SKIP_BUILD_RPATH TRUE)

INSTALL(TARGETS wodim DESTINATION bin)
INSTALL(FILES 
   wodim.1
DESTINATION ${MANSUBDIR}/man1)

=== debian/changelog ===
cdrkit (9:1.1.11-3ubuntu1+8.0trisquel1) flidas; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 06 Mar 2017 05:04:39 +0000

## cdrkit 1.1.11-3ubuntu2%2B9.0trisquel1

=== debian/changelog ===
cdrkit (9:1.1.11-3ubuntu2+9.0trisquel1) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 27 Sep 2019 16:40:05 +0000

cdrkit (9:1.1.11-3ubuntu2) artful; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Apr 2017 20:46:24 +0000

## cdrkit 1.1.11-3+apricot-3

=== debian/changelog ===
cdrkit (9:1.1.11-3+apricot-3) unstable; urgency=medium

  * Fix FTBFS on kfreebsd-*. Closes: #754642. kfreebsd-* now includes a
    <sys/capability.h> which is not compatible with the same file on
    linux, and nor does it imply -lcap will work. Fix the detection code
    to cope with this.

 -- Steve McIntyre <93sam@debian.org>  Tue, 22 Jul 2014 00:56:34 +0100

cdrkit (9:1.1.11-3+apricot-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * geteltorito.pl: update to version 0.5, fixing the bug that prevent it
    to work with hdd images (Closes: #648935, #611784)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 18 Jun 2014 12:02:31 +0200

cdrkit (9:1.1.11-3+apricot-2) unstable; urgency=low

  * Modify build-dependencies to better support kFreeBSD folks. Thanks to
    Robert Millan for the patch. Closes: #634380.
  * Fix up lintian warnings:
    - update standards-version
    - fix usage of dh_clean to make sure we don't keep debhelper log files
    - add rules for build-arch and build-indep

 -- Steve McIntyre <93sam@debian.org>  Thu, 21 Jul 2011 12:49:12 +0100

cdrkit (9:1.1.11-3+apricot-1) unstable; urgency=low

  * New upstream release.
    - genisoimage: Fix silly bug in MD5 output in template files.
      Closes: #596681
    - Update references to atterer.org (Closes: #596860)
    - Minor tweaks to the genisoimage.1 man page
  * Remove the old cdrecord/cdda2wav/mkisofs transitional packages.
    Closes: #513024
  * Updates for lintian warnings:
    - Add ${misc:Depends}
    - Fix build dependency on cmake to be less version specific
    - Change ordering of dh_ commands
    - Updated Standards-Version to 3.9.1
    - Refer to /usr/share/common-licenses/GPL-2 instead of
      /usr/share/common-licenses/GPL
    - Fix some typos/spelling mistakes in docs
    - Removed empty wodim maintainer scripts

 -- Steve McIntyre <93sam@debian.org>  Sun, 17 Oct 2010 23:33:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cdrkit
 Priority: optional
 Section: otherosfs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joerg Jaspert <joerg@debian.org>
+Maintainer: Joerg Jaspert <joerg@debian.org>
 Uploaders: Eduard Bloch <blade@debian.org>, Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>=5.0.37.3), libbz2-dev, zlib1g-dev, autotools-dev, cmake (>= 2.4.2), libcap2-dev [linux-any], libcam-dev [kfreebsd-any], libmagic-dev
 Standards-Version: 3.9.2
@@ -11,10 +10,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: genisoimage
-Replaces: cdrtools-doc, cdrecord 
+Replaces: cdrtools-doc (<< 5:1.0~pre1-1), cdrecord (<< 5:1.0~pre1-1)
 Suggests: cdrkit-doc
-Provides: cdrecord
-Conflicts: xcdroast (<< 0.98+0alpha15-11)
+Conflicts: cdrecord (<< 5:1.0~pre1-1), xcdroast (<< 0.98+0alpha15-11)
 Description: command line CD/DVD writing tool
  wodim allows you to create CDs or DVDs on a CD/DVD recorder.
  It supports writing data, audio, mixed, multi-session, and CD+ disc and DVD
@@ -28,9 +26,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: wodim, cdrkit-doc
-Replaces: mkisofs 
-Conflicts: mkhybrid, mkisofs
-Provides: mkisofs
+Replaces: mkisofs (<< 9:1.0)
+Conflicts: mkhybrid, mkisofs (<< 9:1.0)
 Description: Creates ISO-9660 CD-ROM filesystem images
  genisoimage is a pre-mastering program for creating ISO-9660 CD-ROM 
  filesystem images, which can then be written to CD or DVD media using
@@ -52,9 +49,8 @@
 Suggests: vorbis-tools, cdrkit-doc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: sound
-Provides: cdda2wav
-Replaces: cdda2wav 
-Conflicts: cdda2wav 
+Replaces: cdda2wav (<< 9:1.0)
+Conflicts: cdda2wav (<< 9:1.0)
 Description: Creates WAV files from audio CDs
  icedax lets you digitally copy ("rip") audio tracks from a CD, avoiding
  the distortion that is introduced when recording via a sound card. Data

## cdrkit 1.1.11-3.1ubuntu1%2B10.0trisquel1

=== debian/changelog ===
cdrkit (9:1.1.11-3.1ubuntu1+10.0trisquel1) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 26 Feb 2021 18:00:29 +0000

cdrkit (9:1.1.11-3.1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/wodim.preinst: Add "7a4383a7c0995736dee9d646b0724d08" to the
      md5sums of unchanged config files (that is the dapper one).
    - Introduce alternatives system for the scripts and manpages "cdda2mp3"
      and "cdda2ogg".
  * Dropped changes, included in Debian:
    - debian/genisoimage.links: Add symlink to /usr/bin/mkisofs.
    - Add Provides: cdrecord to binary package wodim.
    - Add Provides: mkisofs to binary package genisoimage.
    - Add Provides: cdda2wav to binary package icedax.
    - Remove all version strings from conflicts/replaces in wodim,
      genisoimage and icedax for the respective cdrtools binary package
      names.
    - debian/icedax.links: Add symlink to /usr/bin/cdda2wav.
    - debian/wodim.links: Add symlink to /usr/bin/cdrecord.
    - Apply Fedora patch by Peter Jones to add EFI boot support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Feb 2020 22:56:30 -0800

cdrkit (9:1.1.11-3ubuntu3) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:32:19 +0000

## cdrkit 1.1.11-3.2ubuntu1%2B11.0trisquel1

=== debian/changelog ===
cdrkit (9:1.1.11-3.2ubuntu1+11.0trisquel1) aramo; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Jun 2022 23:17:55 +0000

cdrkit (9:1.1.11-3.2ubuntu1) jammy; urgency=medium

  * Rebuild for ppc64el baseline bump.
  * Bump debhelper compat to 13

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 10:35:36 +0100

cdrkit (9:1.1.11-3.2build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:06 +0200

## cdrkit 1.1.11.1

=== debian/changelog ===
cdrkit (9:1.1.11.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Joerg Jaspert <joerg@debian.org>  Tue, 14 Jun 2022 14:29:25 +0800

cdrkit (9:1.1.11.1-1+dde) unstable; urgency=medium

  * Add bitorder detection fallback for sunway.

 -- Miao Changwei <miaochangwei@uniontech.com>  Thu, 26 May 2022 11:17:07 +0800

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for cdrkit.  GPL2
# Original from Erik Andersen <andersee@debian.org>
#

PACKAGE = cdrkit

CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

i=$(shell pwd)/debian/tmp/usr
b=$(shell pwd)/debian/build
iso=genisoimage
cdd=icedax
cdr=wodim
ziso_VERSION = $(shell cat 3rd-party/zisofs_tools/version)
source_VERSION= $(shell dpkg-parsechangelog | sed -ne '/^Version:/s/^V.*://p')

build: build-arch build-indep
build-arch: build/build-debstamp
build-indep: build/build-debstamp
build/build-debstamp:
#	@if test -f ../cdrkit_$(source_VERSION).tar.gz ; then \
#		echo "You should not create native packages! Remove ../cdrkit_$(source_VERSION).tar.gz and copy upstream source to .orig.tar.gz" ; \
#		exit 1 ; \
#	fi
	@echo "--- Compiling"
	dh_testdir
	echo "#define ZISOFS_TOOLS_VERSION \"$(ziso_VERSION)\"" > 3rd-party/zisofs_tools/version.h
	make CFLAGS='$(CFLAGS)'
	cd 3rd-party/zisofs_tools && CFLAGS='$(CFLAGS)' ./configure && $(MAKE)
	touch build/build-debstamp

clean:
	@echo "--- Cleaning"
	dh_testdir
	dh_testroot
	-$(MAKE) -C 3rd-party/zisofs_tools distclean
	-./ clean
	dh_clean
	 # clean up the stuff dh_clean leaves behind
	-rm -rf debian/build debian/files
	-rm -f `find . -name "*~"`
	-rm -rf `find . -name "\.deps"`
	-rm -rf `find . -name "\.libs"`
	-rm -rf `find . -name "*\.rej"`
	-rm -rf build

install: build build/install-debstamp
build/install-debstamp:
	@echo "--- Installing"
	dh_testdir
	dh_testroot
	dh_clean
	rm -rf $(b)
	make install PREFIX=$(i)

	install -m 755 3rd-party/geteltorito/geteltorito.pl $(i)/bin/geteltorito
	install -m 755 3rd-party/zisofs_tools/mkzftree $(i)/bin/
	install -m 755 icedax/cdda2ogg $(i)/bin/
	install -m 755 icedax/cdda2mp3 $(i)/bin/
	install -m 755 icedax/readmult $(i)/bin/
	install -m 755 icedax/pitchplay $(i)/bin/
	touch build/install-debstamp

binary-indep: build install cdrkit-doc

binary-arch: build install wodim icedax genisoimage

#
# wodim
#

wodim: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	cp -a wodim/wodim.dfl $(b)/$@/etc/wodim.conf
	cp -a netscsid/netscsid.dfl $(b)/$@/etc/netscsid.conf
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/wodim/presubj
	dh_link              -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@ Changelog
	dh_install			 -p$@ -P$(b)/$@
	dh_strip             -p$@ -P$(b)/$@
	dh_installexamples   -p$@ -P$(b)/$@ netscsid/netscsid.dfl wodim/wodim.dfl misc/burnstuff
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_installdebconf    -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

#
# genisoimage
#

genisoimage: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@ $(iso)/ChangeLog zisofs_tools/CHANGES
	dh_install           -p$@ -P$(b)/$@
	dh_installman        -p$@ -P$(b)/$@ 3rd-party/zisofs_tools/mkzftree.1 3rd-party/geteltorito.1
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/mkisofs/presubj
#	rm -f $(b)/$@/usr/bin/mkhybrid $(b)/$@/usr/share/man/man8/mkhybrid*
	dh_link              -p$@ -P$(b)/$@
	dh_strip             -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@


#
# icedax
#

icedax: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@ 
	dh_installchangelogs -p$@ -P$(b)/$@ 
	dh_install           -p$@ -P$(b)/$@
#	cp debian/reportbug.presubj $(b)/$@/usr/share/bug/icedax/presubj
	dh_strip             -p$@ -P$(b)/$@
	chmod 755 $(b)/$@/usr/bin/cdda2*
	dh_link              -p$@ -P$(b)/$@
	chmod 755 $(b)/$@/usr/bin/readmult
	chmod 755 $(b)/$@/usr/bin/pitchplay
	dh_installman        -p$@ -P$(b)/$@
# cludge, integrate into the official BS later
#	dh_installman        -p$@ -P$(b)/$@ doc/readmult.man doc/pitchplay.man doc/list_audio_tracks.man
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_makeshlibs        -p$@ -P$(b)/$@ -V
	dh_installdeb        -p$@ -P$(b)/$@
	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@


#
# cdrkit-doc
#

cdrkit-doc: install
	@echo "--- Building: $@"
	dh_installdirs 		 -p$@ -P$(b)/$@ 
	dh_installdocs       -p$@ -P$(b)/$@
	dh_installchangelogs -p$@ -P$(b)/$@
	dh_install           -p$@ -P$(b)/$@
	dh_link              -p$@ -P$(b)/$@
	@-find $(b)/$@ | grep '\.svn' | xargs rm -rf
#	dh_strip             -p$@ -P$(b)/$@
	dh_compress          -p$@ -P$(b)/$@
	dh_fixperms          -p$@ -P$(b)/$@
	dh_installdeb        -p$@ -P$(b)/$@
#	dh_shlibdeps         -p$@ -P$(b)/$@
	dh_gencontrol        -p$@ -P$(b)/$@
	dh_md5sums           -p$@ -P$(b)/$@
	dh_builddeb          -p$@ -P$(b)/$@

binary: binary-indep binary-arch
.PHONY: binary clean binary-indep binary-arch build install install-save install-saved
